Notifications

List Notification Deliveries

GET
/orgs/{organizationId}/notifications

Lists notification deliveries with pagination, filtering, sorting, and includes. Use overviewAttemptFilter for card-specific status scopes, deliveryChannel to filter by channel (EMAIL, SMS, POST, WHATSAPP, PUSH), and include for relations.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""notificationType""notificationName""metadata""source""externalSource""externalReference""createdByApiKeyId""createdByApiKeyName""customerId""invoiceId""paymentId""triggeredByUserId""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
createdByApiKeyId?string|array<string>|null
customerId?string|array<string>|null
invoiceId?string|array<string>|null
paymentId?string|array<string>|null
triggeredByUserId?string|array<string>|null
notificationType?|array<>|
source?|array<>|
createdAt?|null
updatedAt?|null
notificationName?string|array<string>|
externalSource?string|array<string>|
externalReference?string|array<string>|
createdByApiKeyName?string|array<string>|
metadata?
hasEmailDeliveries?boolean|string|number|null
hasNoEmailDeliveries?boolean|string|number|null
hasSmsDeliveries?boolean|string|number|null
hasNoSmsDeliveries?boolean|string|number|null
hasPostDeliveries?boolean|string|number|null
hasNoPostDeliveries?boolean|string|number|null
hasWhatsappDeliveries?boolean|string|number|null
hasNoWhatsappDeliveries?boolean|string|number|null
hasPushDeliveries?boolean|string|number|null
hasNoPushDeliveries?boolean|string|number|null
hasVoiceDeliveries?boolean|string|number|null
hasNoVoiceDeliveries?boolean|string|number|null
emailDeliveryId?string|array<string>|
smsDeliveryId?string|array<string>|
postDeliveryId?string|array<string>|
whatsappDeliveryId?string|array<string>|
pushDeliveryId?string|array<string>|
voiceDeliveryId?string|array<string>|
hasCustomer?boolean|string|number|null
hasNoCustomer?boolean|string|number|null
hasInvoice?boolean|string|number|null
hasNoInvoice?boolean|string|number|null
hasPayment?boolean|string|number|null
hasNoPayment?boolean|string|number|null
hasTriggeredByUser?boolean|string|number|null
hasNoTriggeredByUser?boolean|string|number|null
overviewAttemptFilter?string
Value in"BOUNCED""FAILED""PENDING""RECENT"
deliveryChannel?|array<>|
search?string

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/notifications'
null